=== debian/changelog ===
deepin-proxy (1.0.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:24:03 +0800

deepin-proxy (1.1.0.9) unstable; urgency=medium

  * Initial release

 -- electricface <songwentai@deepin.com>  Fri, 14 Jun 2019 16:46:39 +0800
