=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,9 @@
 export GOPATH := /usr/share/gocode
 export GOCACHE=/tmp/
 
+ifneq ($(DEB_BUILD_ARCH), mips64el)
+	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
+endif
+
 %:
 	dh $@
